Certificate Pinning Example app:

To run this test app:

 1. Create a new Titanium (classic) app
 2. In the tiapp.xml, define properties for the sync-user and sync-password \
```
<property name="sync-user" type="string">USERNAME</property>
<property name="sync-password" type="string">PASSWORD</property>
```

 3. Add both the sync client and appcelerator.https modules to your project
 4. Create a DER file that contains the X.509 certificate of the server to which you're connecting, and put that file in your app's Resources directory.\
```
openssl s_client -showcerts -connect server.example.com:443 </dev/null 2>/dev/null|openssl x509 -outform DER > server.example.com.der
```

5. Update the app.js file to set the values for the `host` and `securityManager` variables as appropriate for your environment.
6. Update the syncConfig.json file to set `serverAddress` to match the address you used for your host.
7. Run the app. Click Login. You should be able to log in.

To test that connections will fail if the server doesn't match, create a DER file that corresponds to a different server's certificate. Replace the one you created above with this bogus one and re-launch the app. Logins will fail.


