
// Load the sync client module
var syncClient = require('appcelerator.syncserver.client');

// Create a connector for the msDynamicsCrm1.0 connector
var connector = syncClient.createSyncConnector({
    name: 'msDynamicsCrm1.0'
});

// Make the sync connector a global object
Alloy.Globals.syncConnector = connector;
// A collection of contacts is created so records in that collection can be
// fetched, created, updated, and deleted in `index.js`
Alloy.Collections.contacts = Alloy.createCollection('contact');

// Because we are referencing the connector in the models, we must set `models` 
// after creating the connector and after setting the connector as a global 
connector.models = [ 
    require("alloy/models/Contact").definition.config,
    require("alloy/models/Opportunity_opportunityratingcode").definition.config,
];

// Clear the table(s)
clearDatabase();

function clearDatabase() {
    var db = connector.databaseProxy.open(connector.databaseName);
    db.execute('DELETE FROM contact');
    db.execute('DELETE FROM opportunity_opportunityratingcode');
    db.close();
}