exports.title = 'Login';
exports.run = function(UI, Utils, connector) {
    Ti.API.warn('Connector: ' + connector.currentUser);
    // Authenticate
    connector.login({
        user: Utils.getSyncUser(),
        password: Utils.getSyncPassword(),
        success: function(e) {
            UI.info('Successfully authenticated ' + connector.currentUser);
            UI.info('SessionExpires: ' + e.sessionExpires);
        },
        error: function(e) {
            Ti.API.error('Error logging in: ' + e.message);
        },
        progress: function(e) {
            Ti.API.info('PROGRESS LOGIN: ' + Utils.formatJSON(e));            
        }
    });
}
