
// Load the sync client module
var syncClient = require('appcelerator.syncserver.client');

// Create a connector for the msDynamicsCrm1.0 connector
var connector = syncClient.createSyncConnector({
    name: 'msDynamicsCrm1.0'
});

// Make the sync connector a global object
Alloy.Globals.syncConnector = connector;

// Because we are referencing the connector in the models, we must set `models` 
// after creating the connector and after setting the connector as a global 
connector.models = [ require("alloy/models/Contact").definition.config ];

// Clear the table(s)
clearDatabase();

function clearDatabase() {
    var db = connector.databaseProxy.open(connector.databaseName);
    db.execute('DELETE FROM contact');
    db.close();
}